Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We鈥檒l occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update eslint-plugin-node to the latest version 馃殌 #1164

Merged
merged 2 commits into from Aug 28, 2018

Conversation

1 participant
@greenkeeper
Copy link
Contributor

commented Jul 17, 2018

Version 7.0.0 of eslint-plugin-node was just published.

Dependency eslint-plugin-node
Current Version 6.0.1
Type dependency

The version 7.0.0 is not covered by your current version range.

If you don鈥檛 accept this pull request, your project will work just like it did before. However, you might be missing out on a bunch of new features, fixes and/or performance improvements from the dependency update.

It might be worth looking into these changes and trying to get this project onto the latest version of eslint-plugin-node.

If you have a solid test suite and good coverage, a passing build is a strong indicator that you can take advantage of these changes directly by merging the proposed change into your project. If the build fails or you don鈥檛 have such unconditional trust in your tests, this branch is a great starting point for you to work on the update.


Commits

The new version differs by 48 commits.

  • 890ee63 7.0.0
  • 7ab875a Chore: refactoring no-deprecated-api
  • fa25150 Chore: refactoring for no-unsupported-features/*
  • 8f25248 Chore: refactoring for prefer-global/*
  • 4dd9baf Chore: move data into rules
  • 069efe9 Breaking: update 'no-deprecated-api' rule
  • 7137055 7.0.0-beta.0
  • a42d38e Docs: update README.md
  • 1946d61 Breaking: update recommended.json
  • cb8f504 Update: add ES2019 support in 'no-unsupported-features/es-syntax'
  • 3d79333 New: prefer-global/* rules
  • 217411d Chore: re-organize no-unsupported-features (fixes #118)
  • b02dcef New: no-unsupported-features/worker_threads rule (refs #118)
  • 65cbc08 New: no-unsupported-features/vm rule (refs #118)
  • 222f6c0 New: no-unsupported-features/v8 rule (refs #118)

There are 48 commits in total.

See the full diff

FAQ and help

There is a collection of frequently asked questions. If those don鈥檛 help, you can always ask the humans behind Greenkeeper.


Your Greenkeeper bot 馃尨

@greenkeeper greenkeeper bot added the greenkeeper label Jul 17, 2018

greenkeeper bot added a commit that referenced this pull request Jul 17, 2018

@greenkeeper

This comment has been minimized.

Copy link
Contributor Author

commented Jul 17, 2018

Version 7.0.1 just got published.

Update to this version instead 馃殌

Release Notes v7.0.1

Bug fixes

  • It fixed false positive that the node/no-unsupported-features/node-builtins reports the process.emitWarning method on Node.js >=6 <8. It was supported since Node.js 6.0.0.
Commits

The new version differs by 3 commits.

  • a4a7ad2 7.0.1
  • 44b57ed Fix: false positive 'no-unsupported-features/node-builtins'
  • cde4c82 Docs: update README.md

See the full diff

@feross

feross approved these changes Aug 28, 2018

Copy link
Member

left a comment

LGTM

@feross feross merged commit 3e65b08 into master Aug 28, 2018

1 of 3 checks passed

continuous-integration/travis-ci/pr The Travis CI build failed
Details
continuous-integration/travis-ci/push The Travis CI build failed
Details
WIP ready for review
Details

@feross feross deleted the greenkeeper/eslint-plugin-node-7.0.0 branch Aug 28, 2018

@lock lock bot locked as resolved and limited conversation to collaborators Nov 27, 2018

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
You can鈥檛 perform that action at this time.